HomeGuidesAPI ReferenceChangelogPOS PaymentsOnline Payments
Home
API Reference

/paymentmethods/checkout/v1/transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
returnUrls
object
required
string
required
length between 1 and 255

Identifier from client. This value will be sent in the webhook payload alongside the ID you receive as part of the response of a transaction.

integer
required
1 to 99999999

Denomination in the smallest currency subunit, as for example eurocents.
Ignored (although required) for requests that include items (e.g. Klarna). In this cases the total amount
is calculated internally using item prices.

string
length between 3 and 3
Defaults to EUR

ISO 4217 currency code

consumer
object

Customer details

string
required
length between 1 and 35

Unique identifier, as known by the merchant. This value will end up in the payments portal.

string
required
length ≤ 35

Description of the underlying value or reason of the payment.
Ultimately appears on the payment confirmation (statement and confirmation screen).

paymentMethods
array of strings
Defaults to []

The merchant can set the payment methods for each checkout session, when the paymentMethods attribute is not given, the merchants default payment methods will be used.

paymentMethods
orderItems
array of objects
length between 1 and 512

Items included in the order. Required field for the following payment methods: Klarna.
We request both values 'vatAmount' and 'vatRate' to prevent errors.

orderItems
string
required
length between 1 and 50

A code that identifies the item. Each item code must be unique per transaction.

string
length between 1 and 50

A human readable name for the item.

string
length between 1 and 100

Additional item description.

integer
required
1 to 99999999

Unit price (including VAT) of the item, specified in the smallest currency subunit, as for example eurocents.

integer
required
1 to 1000000000

The number of items of this type.

integer
required
1 to 99999999

VAT amount of one unit, specified in the smallest currency subunit, as for example eurocents.

number
required
0 to 99.9

Percentage of VAT applied.
Only the first decimal value will be taken into account, the rest will be ignored.

date-time
required
length ≥ 20

ISO 8601 date and time

string
required

Preferred language of the user interface

webhooks
array of objects

Webhooks enable receiving a web request once a given event occurs.
We won't do preventive rate-limiting in order to have the highest throughput possible.
However, we will honor 429 (Too-many-requests) responses per callback.
We use the Retry-After header to retry after a certain period. If the header was not set we use our default exponential delay implementation.

webhooks
integer
0 to 255

Maximum number of retries allowed to pay the order

Responses

Callback
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json